Subject: Re: Hellp! mod_perl worked fine then added modssl and now apache won' t start

From: Stas Bekman <[email-masked]>
Date: Tue, 19 Nov 2002 15:31:59 +0800

Mitchel, Jennifer (Jem) wrote:
> Hi all,
> 
>   I am still new to all of this.
> 
>   I had Apache 1.3.22 with mod_perl included and the Authenitcation hook enabled.  Everything was fine.
> 
>   Then I imstalled my OpenSSL and generated my key, got my server certificate from my csr etc fine.  The certificate has been verified.  
> 
>   I then with mod_ssl-2.8.5-1.3.22
>   did 	./configure \
>  	--with-apache=/web/server/apache/1.3.22-source \
> 	--with-ssl=/web/server/OpenSSL/0.9.6g \
> 	--with-crt=/web/server/OpenSSL/0.9.6g/bin/serverPEM.crt \
> 	--with-key=/web/server/OpenSSL/0.9.6g/bin/server.key \
> 	--prefix=/=/web/server/apache/1.3.22
> 
>   This went fine. make went fine.  Because I used with-crt/with-key I skipped make certificate (yes serverPEM.crt and server.key are the real certificate and private key)
> 
>   make install goes fine.
> 
>   I stop Apache fine.
>   Once start I get the following error
> 
>   Syntax error on line 1008 of /web/server/apache/1.3.22/conf/httpd.conf:
> Invalid command 'PerlModule', perhaps mis-spelled or defined by a module not included in the server configuration
> /web/server/apache/1.3.22/bin/apachectl start: httpd could not be started

Please review:
http://perl.apache.org/docs/1.0/guide/install.html#mod_perl_and_mod_ssl___openssl_

-- 

_____________________________________________________________________
Stas Bekman             JAm_pH      --   Just Another mod_perl Hacker
http://stason.org/      mod_perl Guide   http://perl.apache.org/guide
mailto:[email-masked]  http://ticketmaster.com http://apacheweek.com
http://singlesheaven.com http://perl.apache.org http://perlmonth.com/

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]